Skip to main content
POST
Link a connected account to a customer

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01
Idempotency-Key
string

A unique string used to ensure the request is processed exactly once. If you retry a request with the same idempotency key within 24 hours, the original response is returned without re-executing the operation.

Maximum string length: 255
Example:

"ik_a1b2c3d4e5f6"

Path Parameters

id
string
required

Unique identifier for the customer

Body

application/json
external_id
string
required

Identifier of the account in the external system

Example:

"cus_abc123"

integration_id
string
required

Identifier of the integration to link the account through

Example:

"intg_abc123"

Response

Success

customer_id
string
required

Alguna customer ID the connected account belongs to

Example:

"cust_abc123"

external_id
string
required

Identifier of the account in the external system

Example:

"cus_abc123"

id
string
required

Unique identifier for the connected account link

Example:

"cacc_abc123"

integration_id
string
required

Identifier of the integration the account is connected through

Example:

"intg_abc123"